Loading...
Searching...
No Matches
etl::type_def< TIdType, TValue > Class Template Reference

`#include <type_def.h>`

## Public Types

typedef TValue | type
typedef TValue | value_type
typedef TIdType | id_type

## Public Member Functions

template<typename T>
ETL_CONSTEXPR | type_def (T value_) ETL_NOEXCEPT
ETL_CONSTEXPR | operator TValue () const ETL_NOEXCEPT
ETL_CONSTEXPR14 type_def & | operator++ () ETL_NOEXCEPT
ETL_CONSTEXPR14 type_def | operator++ (int) ETL_NOEXCEPT
ETL_CONSTEXPR14 type_def & | operator-- () ETL_NOEXCEPT
ETL_CONSTEXPR14 type_def | operator-- (int) ETL_NOEXCEPT
template<typename T>
ETL_CONSTEXPR14 | ETL_TYPE_DEF_RETURN (T, TValue, type_def &) operator+

## Detailed Description

template<typename TIdType, typename TValue>
class etl::type_def< TIdType, TValue >

A template type to define strong typedefs. Usage:

// Short form.
ETL_TYPEDEF(int, mytype);
or
ETL_USING(mytype, int);
// Long form.
class mytype_t_tag;
typedef etl::type_def<mytype_t_tag, int> mytype;
etl::type_def
Definition type_def.h:68

The documentation for this class was generated from the following file:

- include/etl/type_def.h